## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           python-pgspecial
Version:        1.13.1
Release:        %autorelease
Summary:        Python implementation of postgres meta (backslash) commands

License:        BSD
URL:            https://www.dbcli.com
Source0:        %{pypi_source pgspecial}
BuildArch:      noarch

# Add @dbtest decorator for test_slash_dp_pattern_schema
# https://github.com/dbcli/pgspecial/pull/126
Patch0:         https://github.com/dbcli/pgspecial/pull/126.patch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

# From setup.py (install_requires)
BuildRequires:  python3dist(click) >= 4.1
BuildRequires:  python3dist(psycopg2) >= 2.7.4
BuildRequires:  python3dist(sqlparse) >= 0.1.19

# From tox.ini; versions are from requirements-dev.txt (but we must allow older
# pytest since that is what we have):
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(configobj) >= 5.0.6

%global common_description %{expand:
This package provides an API to execute meta-commands (AKA “special”, or
“backslash commands”) on PostgreSQL.}

%description %{common_description}


%package -n     python3-pgspecial
Summary:        %{summary}

%description -n python3-pgspecial %{common_description}


%prep
%autosetup -p1 -n pgspecial-%{version}
# Remove bundled egg-info
rm -rf pgspecial.egg-info


%build
%py3_build


%install
%py3_install


%check
# Note that most tests will be skipped since there is not a postgres database
# we can connect to.
%pytest


%files -n python3-pgspecial
%license License.txt
%doc README.rst
%doc changelog.rst
%doc DEVELOP.rst
%{python3_sitelib}/pgspecial
%{python3_sitelib}/pgspecial-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Mar 01 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1.13.1-1
- Update to 1.13.1 (close RHBZ#2059332)

* Tue Mar 01 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1.13.0-5
- Use patch generated directly from GitHub PR

* Tue Mar 01 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1.13.0-4
- Use patch generated directly from GitHub PR

* Tue Mar 01 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1.13.0-3
- Reduce macro indirection in the spec file

* Sat May 22 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.13.0-1
- Update to 1.13.0
- Update summary and description
- Use a patch to drop the mock dependency, and submit PR#115 upstream
- Drop workarounds for Fedora 32

* Tue Mar 02 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.12.1-2
- Add version and comment for python3dist(configobj) dependency

* Tue Mar 02 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.12.1-1
- New upstream release 1.12.1
- Add changelog to doc-files

* Tue Mar 02 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.11.10-5
- Use srcname instead of pypi_name
- Add common_description macro
- Drop obsolete python_provide macro
- Drop scripts/README.rst from doc-files, and add DEVELOP.rst
- Use %%pytest macro
- Drop explicit/manual Requires, which are redundant with automatic Python
  dependency generation

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.11.10-2
- Rebuilt for Python 3.9

* Sun May 10 2020 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 1.11.10-1
- Initial package.

